Kerbal Space Program - Bug #24542

Levitation Bug + Loss of Control of Landed Craft
01/05/2020 07:57 PM - Tree_Simulator

Status: Ready to Test Start date: 01/05/2020

Severity: Low % Done: 80%

Assignee:

Category: Gameplay

Target version: 1.10.0

Version: PS4 - Enhanced Edition 2019-12-10 Language: English (US)
Patch 10

Platform: PS4, XBoxOne Mod Related: No

Expansion: Core Game

Description

When landed, upon taking a kerbal on EVA from the craft to about 3 to 5 km away from craft, and then taking the kerbal back to the
craft, the craft will be found levitating slowing upward from the ground, often also with a slight turning motion, and switching back to
the craft using d-pad will show delta v values of zero for each stage, firing engines/reaction wheels will not change the craft's motion,
and player is unable to access either the space center or tracking station from pause menu due to "You are on a collision course”
message. Accessing the tracking station from the EVA kerbal's perspective will indicate that the craft in question has disappeared
from the objects tracked list, and going back to the EVA kerbal will result in the levitating craft disappearing totally from the game
world. Tested first on Mun (Northeast Basin Biome) and then Minmus (Lesser Flats Biome). Bug occurs regardless of whether the
craft is crewed by pilot or not. Note that craft is using pre patch 9 model Poodle engine. Bug first noticed while doing surface rescue
missions.

History

#2 - 01/06/2020 08:19 PM - David.Wineinger
- Status changed from New to Confirmed

- % Done changed from 0 to 10

- Platform XBoxOne added

#3 - 07/06/2020 03:34 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.10.0

- % Done changed from 10 to 80

We have made some changes in the most recent version and would like some feedback on this issue. Thanks.
